#include <bits/stdc++.h>
using namespace std;
bool ktra(int a,int b, int c)
{
    bool k= true;
    int t=a+b+c;
    int mx=a;
    if(b>mx)mx=b;
    if(c>mx)mx=c;
    if((t-mx)<=mx)k=false;
    return k;
}
float dtich(int a,int b, int c)
{
    float p=((a+b+c)/2);
    float s;
    s=sqrt(p*(p-a)*(p-b)*(p-c));
    return s;
}
int main()
{
    ifstream f1("tamgiac.inp");
    ofstream f2("tamgiac.out");
    int a,b,c;
    f1>>a>>b>>c;
    f2.setf(ios::fixed);
    f2.setf(ios::showpoint);
    f2.precision(2);
    if (ktra(a,b,c)==true)
    {
        f2<<"YES"<<endl;
        f2<<dtich(a,b,c);
    }
    else f2<<"NO";
}
